#-*- coding: utf-8 -*-
from django.db import models

class Category(models.Model):
    name = models.CharField(max_length=80)
    has_sub_category = models.BooleanField()
    image = models.URLField(null = True)
    parent_category = models.ForeignKey('Category', null = True)

    def __unicode__(self):
        return u"%s" % self.name

class Article(models.Model):
    name = models.CharField(max_length=80)
    image = models.URLField(null = True)
    parent_category = models.ForeignKey('Category')

    def __unicode__(self):
        return u"%s" % self.name
